Package org.apache.commons.imaging.formats.png.chunks

# Class PngChunkItxt

java.lang.Object
org.apache.commons.imaging.common.BinaryFileParser
org.apache.commons.imaging.formats.png.chunks.PngChunk
org.apache.commons.imaging.formats.png.chunks.AbstractPngTextChunk
org.apache.commons.imaging.formats.png.chunks.PngChunkItxt

public final class PngChunkItxt extends AbstractPngTextChunk

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PngChunkItxt(int length, int chunkType, int crc, byte[] bytes)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbstractPngText`
  `getContents()`
  `String`
  `getKeyword()`
  `String`
  `getText()`
  `String`
  `getTranslatedKeyword()`

  ### Methods inherited from class org.apache.commons.imaging.formats.png.chunks.PngChunk

  `getBytes, getChunkType, getCrc, getDataStream, getLength, getPropertyBits, isAncillary, isPrivate, isReserved, isSafeToCopy`

  ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

  `debugNumber, debugNumber, getByteOrder, setByteOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PngChunkItxt

    public PngChunkItxt(int length, int chunkType, int crc, byte[] bytes) throws ImagingException, IOException
    Constructs a new instance.
    Parameters:
      `length` - chunk length.
      `chunkType` - chunk type.
      `crc` - CRC computed over the chunk type and chunk data (but not the length).
      `bytes` - chunk data bytes.
    Throws:
      `ImagingException` - Thrown on a parsing error.
      `IOException` - Thrown on reading error.
      `NullPointerException` - if `bytes` is null.

- ## Method Details

  - ### getContents

    public AbstractPngText getContents()
    Specified by:
      `getContents` in class `AbstractPngTextChunk`

  - ### getKeyword

    public String getKeyword()
    Specified by:
      `getKeyword` in class `AbstractPngTextChunk`
    Returns:
      Gets the keyword.

  - ### getText

    public String getText()
    Specified by:
      `getText` in class `AbstractPngTextChunk`
    Returns:
      Gets the text.

  - ### getTranslatedKeyword

    public String getTranslatedKeyword()